Show / Hide Table of Contents

# Interface IGenericEnhancedPlugin

A generic interface for the modification for enhanced plugins.

###### Namespace: IPA

###### Assembly: IPA.Loader.dll

##### Syntax

    public interface IGenericEnhancedPlugin

### Properties

| Improve this Doc View Source

#### Filter

Gets a list of executables this plugin should be executed on (without the file ending)

##### Declaration

    [Obsolete("Ignored.")]
    string[] Filter { get; }

##### Property Value

Type | Description
--- | ---
String[] |

##### Examples

{ "PlayClub", "PlayClubStudio" }

### Methods

| Improve this Doc View Source

#### OnLateUpdate()

Called after Update.

##### Declaration

    void OnLateUpdate()

### Extension Methods

ReflectionUtil.SetPrivateField(Object, String, Object)
ReflectionUtil.GetPrivateField<T>(Object, String)
ReflectionUtil.SetPrivateProperty(Object, String, Object)
ReflectionUtil.InvokePrivateMethod(Object, String, Object[])
ReflectionUtil.InvokePrivateMethod<T>(Object, String, Object[])